---
updatedAt: 2025-06-11T22:18:09.000Z
agentTools:
  projectIndex: https://docs.loopandtie.com/llms.txt
---

# /teams/:team_id/surveys

Retrieves surveys for the given team

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-settings",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.loopandtie.com/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header",
        "x-bearer-format": "Bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/teams/{team_id}/surveys": {
      "get": {
        "summary": "/teams/:team_id/surveys",
        "description": "Retrieves surveys for the given team",
        "operationId": "teamsteam_idsurveys",
        "parameters": [
          {
            "name": "team_id",
            "in": "path",
            "description": "The team to get the surveys from",
            "schema": {
              "type": "string",
              "default": "surveys"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"data\": [\n        {\n            \"id\": \"107\",\n            \"type\": \"survey\",\n            \"attributes\": {\n                \"external-id\": \"QBE84CD00\",\n                \"name\": \"Here's a test survey #1\"\n            }\n        },\n        {\n            \"id\": \"108\",\n            \"type\": \"survey\",\n            \"attributes\": {\n                \"external-id\": \"QC8EE8B1E\",\n                \"name\": \"Here's another test survey #2\"\n            }\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "107"
                          },
                          "type": {
                            "type": "string",
                            "example": "survey"
                          },
                          "attributes": {
                            "type": "object",
                            "properties": {
                              "external-id": {
                                "type": "string",
                                "example": "QBE84CD00"
                              },
                              "name": {
                                "type": "string",
                                "example": "Here's a test survey #1"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -i https://api.loopandtie.com/v1/teams/sandbox/surveys \\\n-H \"Authorization: Bearer [[app:key]]\""
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```